version: '3.5'

services:
  globalrm:
    #image: elasticeuh2020/grm:dev20210526
    image: grm
    build: ./app
    container_name: elastic-grm
    volumes:
      - /opt/dataclay/shared:/srv/dataclay/shared
    environment:
      - LOGICMODULE_PORT_TCP=11034
      - LOGICMODULE_HOST=192.168.60.28
      - USER=NFRtoolUser
      - PASS=defaultPass
      - DATASET=defaultDS
      - NAMESPACE=ElasticNFR
      - CENTRAL_MQ_URL=tcp://192.168.60.28:1884
      - ELASTIC_SYSTEM_ALIAS=test404
  mosquitto-grm:
    image: eclipse-mosquitto:1.6.12
    ports:
      - "1884:1884"
    volumes:
      - ./mosquitto.conf:/mosquitto/config/mosquitto.conf
    container_name: elastic-broker-grm
    restart: unless-stopped

    
